متصلون الآن  

/v1/account/

Manages Access to the AppointmentTrader Account
GET

/v1/account/get_incoming_payment_session

#
Returns details of the incoming payment session and information on whether it has been completed or is still pending.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
uniquePaymentSessionID string نعم — unique session id returned by /v1/account/set_start_incoming_payment_session
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/account/get_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'uniquePaymentSessionID={{uniquePaymentSessionID}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$account_get_incoming_payment_session_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.Namestring نعم
$.oneOf[0].allOf[1].Payload.MetaInformationarray نعم
$.oneOf[0].allOf[1].Payload.MetaInformation[]string لا
$.oneOf[0].allOf[1].Payload.KeyValueListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] نعم
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/account/get_ledger

#
Returns paginated ledger entries for one account owned by the acting API user. Admin tools should access another user's ledger through the dispatcher impersonationUserAlias parameter; this endpoint still validates the account against the effective API user.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
accountID string نعم — Account ID owned by the acting API user.
pageNumber int لا 0 Zero-based page number.
pageLength int لا 50 Number of ledger rows to return, capped at 200.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/account/get_ledger' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'accountID={{accountID}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'pageLength={{pageLength}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$account_get_ledger_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.Accountobject نعم
$.oneOf[0].allOf[1].Payload.Account.Currencystring نعم
$.oneOf[0].allOf[1].Payload.Account.CurrencySymbolstring نعم
$.oneOf[0].allOf[1].Payload.Account.CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.Account.LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.Account.Namestring نعم
$.oneOf[0].allOf[1].Payload.Account.Descriptionstring نعم
$.oneOf[0].allOf[1].Payload.Account.IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimitDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.CurrencyCreditLimit.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPointsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.PayoutDefaultBasisPoints.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimitDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.PointsCreditLimit.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.IsATCorporateAccount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.IsDefaultDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.IsDefault.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.IsDepositAccount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.CurrencyBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Account.PointsBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Account.PointsBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledgerarray نعم
$.oneOf[0].allOf[1].Payload.Ledger[]object لا
$.oneOf[0].allOf[1].Payload.Ledger[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.Ledger[].LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Namestring نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Descriptionstring نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationObjectstring نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].PointsAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].CurrencyBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].PointsBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccountsLedger_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Originating-ATAccounts_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Destination-ATAccounts_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ATUserPaymentMethods_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].ConfirmationID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL نعم
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].SupplementalURL.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-RefundObject.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Stripe-DisputeObject.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-RefundObject.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].Checkout-DisputeObject.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction نعمStored provider/audit content is returned as text; it is not decoded into a JSON object by this endpoint.
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Ledger[].RefundInstruction.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Ledger[].TransactionTypestring ["DEBIT","CREDIT"] نعم
$.oneOf[0].allOf[1].Payload.Pageobject نعم
$.oneOf[0].allOf[1].Payload.Page.PageNumberinteger نعم
$.oneOf[0].allOf[1].Payload.Page.PageLengthinteger نعم
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber نعم
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Page.NextPageNumber.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber نعم
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Page.PreviousPageNumber.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Page.HasMoreboolean نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_ledger",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Account": {
            "Currency": "synthetic-example",
            "CurrencySymbol": "synthetic-example",
            "CreatedDate": "synthetic-example",
            "LastUpdateDate": "synthetic-example",
            "Name": "synthetic-example",
            "Description": "synthetic-example",
            "ID": 0,
            "ATUser_ID": 0,
            "CurrencyCreditLimit": 0,
            "PayoutDefaultBasisPoints": 0,
            "PointsCreditLimit": 0,
            "IsATCorporateAccount": 0,
            "IsDefault": 0,
            "IsDepositAccount": 0,
            "CurrencyBalance": 0,
            "PointsBalance": 0
        },
        "Ledger": [],
        "Page": {
            "PageNumber": 0,
            "PageLength": 0,
            "NextPageNumber": 0,
            "PreviousPageNumber": 0,
            "HasMore": false
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/account/get_list

#
Returns all available user accounts including their balances and if applicable credit limits in the smallest possible currency unit

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
searchFilter string لا "" filter criteria
includeDepositAccount bool لا false defines if deposit account should be return
pageSize int لا 50 Defines how many results will be return per request
pageNumber int لا 0 Defines which page should be returned
includeCorporateAccounts bool لا false Admin-only flag to include corporate accounts owned by the inspected user.
includeHiddenAccounts bool لا false Admin-only flag to include hidden accounts owned by the inspected user.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/account/get_list' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'includeDepositAccount={{includeDepositAccount}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'pageNumber={{pageNumber}}' \
  --data-urlencode 'includeCorporateAccounts={{includeCorporateAccounts}}' \
  --data-urlencode 'includeHiddenAccounts={{includeHiddenAccounts}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$account_get_list_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.ATResponseObjectType = "NestedKeyValueList" نعم
$.oneOf[0].allOf[1].Payload.ResponseBodyobject نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.Namestring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformationarray نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.MetaInformation[]string لا
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueListarray نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[]object لا
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNamestring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencystring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencySymbolstring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountNameAndBalancestring نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalanceDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsBalance.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimitDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountCurrencyCreditLimit.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimitDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountPointsCreditLimit.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporateDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountIsCorporate.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailableCurrencyBalancenumber نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueList[].accountAvailablePointsBalancenumber نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldListarray نعم
$.oneOf[0].allOf[1].Payload.ResponseBody.KeyValueFieldList[]string لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ATResponseObjectType": "NestedKeyValueList",
        "ResponseBody": {
            "Name": "synthetic-example",
            "MetaInformation": [],
            "KeyValueList": [],
            "KeyValueFieldList": []
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
POST

/v1/account/set_start_incoming_payment_session

#
Creates an incoming payments session which will be credited to API users main account. The gross amount will be discounted, and the discounted expected payment will be returned

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
paymentType string نعم — Type of payment used
grossAmount int نعم — Amount that shall be received by the transaction
transactionReferenceID string نعم — this reference number can be used to avoid creating new payments sessions for the same checkout flow, if an active payments session for this transactionReferenceID exists the ExpiryTime will extended by the payment types sessionLifetime
transactionDescription string نعم — this description will reflect on the users account detailing what the charge was for.
isWritingRequest bool لا false all set_[...] functions have this parameter - if false (which is default) the method will execute without writing any data. Set this parameter to true once you are sure that you tested your logic and want to execute a writing request
مثال طلب (cURL)
curl --request POST \
  'https://ar.appointmenttrader.com/v1/account/set_start_incoming_payment_session' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'paymentType={{paymentType}}' \
  --data-urlencode 'grossAmount={{grossAmount}}' \
  --data-urlencode 'transactionReferenceID={{transactionReferenceID}}' \
  --data-urlencode 'transactionDescription={{transactionDescription}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$account_set_start_incoming_payment_session_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.Namestring نعم
$.oneOf[0].allOf[1].Payload.MetaInformationarray نعم
$.oneOf[0].allOf[1].Payload.MetaInformation[]string لا
$.oneOf[0].allOf[1].Payload.KeyValueListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].uniquePaymentSessionIDstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].createDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].lastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].expiryDatestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].sessionStatusstring ["active","expired"] نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentTypestring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSecondsDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].remainingSessionLifetimeInSeconds.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].userAliasstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionReferenceIDstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].transactionDescriptionstring نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].grossAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmountDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].discountedAmount.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].DestinationAccountstring لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[0]string | number | boolean | null لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1]array لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[0].*.oneOf[2].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[0]string | number | boolean | null لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1]array لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[1][]PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2]object لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[1][].oneOf[2].*PaymentConfigurationValue لا
$.oneOf[0].allOf[1].Payload.KeyValueList[].paymentDetails.anyOf[2]string | number | boolean | null نعم
$.oneOf[0].allOf[1].Payload.KeyValueList[].fundingStatusstring ["not_funded","funded"] نعم
$.oneOf[0].allOf[1].Payload.KeyValueFieldListarray نعم
$.oneOf[0].allOf[1].Payload.KeyValueFieldList[]string لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/account/set_start_incoming_payment_session",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Name": "synthetic-example",
        "MetaInformation": [],
        "KeyValueList": [],
        "KeyValueFieldList": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا